Package skyview.process

# Class IDMosaic

java.lang.Object
skyview.process.Processor
skyview.process.Mosaicker
skyview.process.IDMosaic

All Implemented Interfaces:
  `Serializable`, `Component`

public class IDMosaic extends Mosaicker
A mosaicker is an object which creates a new image from a set of input images. The IDMosaic does not read the images: it returns an image giving the source tile ID for each pixel.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IDMosaic()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this component
`String`
`getName()`
Get the name of this component
`void`
`process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)`
Return the tiles that would be used as the mosaicked image.
`void`
`updateHeader(nom.tam.fits.Header h)`
Describe the mosaicking of the image .

### Methods inherited from class skyview.process.Mosaicker

`addPixels, ordinalSuffix, setUsedImages, updatesOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IDMosaic

public IDMosaic()

## Method Details

### getName

public String getName()
Get the name of this component

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `Mosaicker`

### getDescription

public String getDescription()
Get a description of this component

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `Mosaicker`

### process

public void process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)
Return the tiles that would be used as the mosaicked image.

Overrides:
  `process` in class `Mosaicker`
Parameters:
  `input` - An array of input images.
  `output` - The image whose data is to be filled.
  `osource` - An integer array giving the source image to be used for the output pixels. Note that depending upon the mosaicker used, source may be dimensioned as either nx*ny or (nx+1)*(ny+1).
  `samp` - The sampler to be used to sample the input images.
  `dSampler` - The sampler (if any) in the energy dimension.

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
Describe the mosaicking of the image .

Overrides:
  `updateHeader` in class `Mosaicker`